List:General Discussion« Previous MessageNext Message »
From:John Mravunac Date:November 14 2001 11:20pm
Subject:Warning: 1 is not a valid MySQL-Link resource
View as plain text  
Hi,

Has anybody seen this error before?

Everything was working great on my web server until one day I upgraded 
MySQL from version 3.22.32 to 3.23.42.

Initially I had Apache 1.3.12 working with PHP 4.0.1p12 and MySQL 
3.22.32 along with a Mod_Auth_MySQL version 2.2 module. Then when I 
upgraded the MySQL version, I started getting this error in the apache logs:

[notice] child pid 2713 exit signal Segmentation fault (11)

every time a php page was used, and the php pages took quite some time 
to populate sometimes timing out the web browsers.

I upgraded the PHP to version 4.0.6 and this error disappeared with the 
php pages working fine again, but now I receive this error on the php page:

Warning: 1 is not a valid MySQL-Link resource in 
/usr/local/apache/webleads/sendlead.php on line 267

Having performed the very same MySQL upgrade works fine on our mirrored 
server which is setup exactly the same, no php problems.

Perhaps somebody has some suggestions?? I've tried upgrading the kernel 
version also, as I've read that MySQL has been reported to produce 
strange errors on kernel version 2.2.14-5.0, but this did not help.

Thanks for any help you may be able to offer,
John Mravunac :^)

Thread
Warning: 1 is not a valid MySQL-Link resourceJohn Mravunac15 Nov
  • Re: Warning: 1 is not a valid MySQL-Link resourcePaul DuBois15 Nov
Re: Warning: 1 is not a valid MySQL-Link resourceJohn Mravunac15 Nov